- Qt 5.15
- Qt Remote Objects
- qt5_generate_repc
- Qt 5.15.19 Reference Documentation

# qt5_generate_repc

## Synopsis

     qt5_generate_repc(<VAR> rep_file output_type)

## Description

Creates rules for calling repc on `rep_file`. `output_type` must be either `SOURCE` or `REPLICA`. The paths of the generated files are added to `<VAR>`.

Depending on the `output_type` argument, the generated code will either implement a Qt Remote Objects Source or a Qt Remote Objects Replica type in C++.

## Examples

     find_package(Qt5 COMPONENTS RemoteObjects REQUIRED)

     set(SOURCES
         main.cpp
         simpleswitch.cpp
     )

     qt5_generate_repc(SOURCES simpleswitch.rep SOURCE)

     add_executable(directconnectserver ${SOURCES})
     target_link_libraries(directconnectserver Qt5::RemoteObjects)